---
displayed_sidebar: jsClientSidebar
---

# Interface: Config

[internal](../modules/internal.md).Config

## Properties

### apiKey

• `Optional` **apiKey**: `string`

#### Defined in

[medusa-js/src/request.ts:14](https://github.com/medusajs/medusa/blob/53e34d33d/packages/medusa-js/src/request.ts#L14)

___

### baseUrl

• **baseUrl**: `string`

#### Defined in

[medusa-js/src/request.ts:12](https://github.com/medusajs/medusa/blob/53e34d33d/packages/medusa-js/src/request.ts#L12)

___

### maxRetries

• **maxRetries**: `number`

#### Defined in

[medusa-js/src/request.ts:13](https://github.com/medusajs/medusa/blob/53e34d33d/packages/medusa-js/src/request.ts#L13)
